package org.jeecg.modules.excelutil.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

/**
 * 伊对计划汇总报表信息
 *
 * @author 宋英豪
 */
public class YdPlanAggregateEntity extends BaseRowModel {
    /**
     * 账号名称
     */
    @ExcelProperty(index = 1, value = "账号名称")
    private String accountName;

    /**
     * 投放时间
     */
    @ExcelProperty(index = 2, value = "投放时间")
    private String date;

    /**
     * 计划名称
     */
    @ExcelProperty(index = 3, value = "计划名称")
    private String planName;

    /**
     * 总花费(元)
     */
    @ExcelProperty(index = 4, value = "总花费(元)")
    private String totalCost;

    /**
     * 展示
     */
    @ExcelProperty(index = 5, value = "展示")
    private String showNum;

    /**
     * 点击
     */
    @ExcelProperty(index = 6, value = "点击")
    private String clickNum;

    /**
     * 点击率(%)
     */
    @ExcelProperty(index = 7, value = "点击率(%)")
    private String clickRate;

    /**
     * 平均点击单价(元)
     */
    @ExcelProperty(index = 8, value = "平均点击单价(元)")
    private String priceAvg;

    /**
     * 平均千次展现费用(元)
     */
    @ExcelProperty(index = 9, value = "平均千次展现费用(元)")
    private String ctr;

    /**
     * 转化数
     */
    @ExcelProperty(index = 10, value = "转化数")
    private String convertNum;

    /**
     * 转化成本
     */
    @ExcelProperty(index = 11, value = "转化成本")
    private String convertPrice;

    /**
     * 转化率(%)
     */
    @ExcelProperty(index = 12, value = "转化率(%)")
    private String convertRate;

    /**
     * 投放平台
     */
    @ExcelProperty(index = 13, value = "投放平台")
    private String platform;

    /**
     * 投放性别
     */
    @ExcelProperty(index = 14, value = "投放性别")
    private String sex;

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(String totalCost) {
        this.totalCost = totalCost;
    }

    public String getClickRate() {
        return clickRate;
    }

    public void setClickRate(String clickRate) {
        this.clickRate = clickRate;
    }

    public String getPriceAvg() {
        return priceAvg;
    }

    public void setPriceAvg(String priceAvg) {
        this.priceAvg = priceAvg;
    }

    public String getCtr() {
        return ctr;
    }

    public void setCtr(String ctr) {
        this.ctr = ctr;
    }

    public String getShowNum() {
        return showNum;
    }

    public void setShowNum(String showNum) {
        this.showNum = showNum;
    }

    public String getClickNum() {
        return clickNum;
    }

    public void setClickNum(String clickNum) {
        this.clickNum = clickNum;
    }

    public String getConvertNum() {
        return convertNum;
    }

    public void setConvertNum(String convertNum) {
        this.convertNum = convertNum;
    }

    public String getConvertPrice() {
        return convertPrice;
    }

    public void setConvertPrice(String convertPrice) {
        this.convertPrice = convertPrice;
    }

    public String getConvertRate() {
        return convertRate;
    }

    public void setConvertRate(String convertRate) {
        this.convertRate = convertRate;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
}
